Summary: A collection of user-contributed X Window System programs.
Name: X11R6-contrib
Version: 3.3.2
Release: 6
Copyright: MIT
Group: User Interface/X
Source0: fpt://ftp.xfree86.org/pub/XFree86/3.3.2/sources/X332contrib.tgz
Patch1: x11r6-contrib-3.1.2-rhs.patch
Patch2: x11r6-contrib-3.1.2-mandoc.patch
Patch3: x11r6-contrib-3.1.2-sparc.patch
Patch4: X11R6-contrib-3.3.1-pthreads.patch
BuildRoot: /var/tmp/X11R6-contrib-root

%description
If you want to use the X Window System, you should install
X11R6-contrib. This package holds many useful programs 
from the X Window System, version 11, release 6 contrib tape. 
The programs, contributed by various users, include listres, 
xbiff, xedit, xeyes, xcalc, xload and xman, among others.

You will also need to install the XFree86 package, the
XFree86 package which corresponds to your video card,
one or more of the XFree86 fonts packages, the 
Xconfigurator package and the XFree86-libs package.

Finally, if you are going to develop applications that
run as X clients, you will also need to install
XFree86-devel.

%prep
%setup -c -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
cd contrib
xmkmf -a
make

%install
rm -rf $RPM_BUILD_ROOT

cd contrib
make DESTDIR=$RPM_BUILD_ROOT install install.man

( cd $RPM_BUILD_ROOT
# xload doesn't need to be setuid
  chmod u-s ./usr/X11R6/bin/xload

  mkdir -p ./etc/X11/wmconfig
  cat > ./etc/X11/wmconfig/xcalc <<EOF
xcalc name "Calculator"
xcalc description "Calculator"
xcalc group Utilities
xcalc exec "xcalc &"
EOF

  cat > ./etc/X11/wmconfig/xditview <<EOF
xditview name "xditview"
xditview description "ditroff previewer"
xditview group Utilities
xditview exec "xditview &"
EOF

  cat > ./etc/X11/wmconfig/xedit <<EOF
xedit name "xedit"
xedit description "Small editor"
xedit group Utilities
xedit exec "xedit &"
EOF

  cat > ./etc/X11/wmconfig/xeyes <<EOF
xeyes name "xeyes"
xeyes description "Watchful Eyes"
xeyes group Amusements
xeyes exec "xeyes &"
EOF

  cat > ./etc/X11/wmconfig/xfontsel <<EOF
xfontsel name "Font Selector"
xfontsel description "Select X Fonts"
xfontsel group Utilities
xfontsel exec "xfontsel &"
EOF

  cat > ./etc/X11/wmconfig/xload <<EOF
xload name "Load Monitor"
xload description "Display system load"
xload group Administration
xload exec "xload &"
EOF

  cat > ./etc/X11/wmconfig/xman <<EOF
xman name "xman"
xman description "Manual Page Reader"
xman group Utilities
xman exec "xman &"
EOF
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/X11R6/bin/ico
/usr/X11R6/bin/listres
/usr/X11R6/bin/showfont
/usr/X11R6/bin/viewres
/usr/X11R6/bin/xbiff
/usr/X11R6/bin/xcalc
/usr/X11R6/bin/xditview
/usr/X11R6/bin/xedit
/usr/X11R6/bin/xev
/usr/X11R6/bin/xeyes
/usr/X11R6/bin/xfontsel
/usr/X11R6/bin/xgc
/usr/X11R6/bin/xload
/usr/X11R6/bin/xman
/usr/X11R6/bin/xmessage

%config /usr/X11R6/lib/X11/app-defaults/Viewres
%config /usr/X11R6/lib/X11/app-defaults/XCalc
%config /usr/X11R6/lib/X11/app-defaults/XCalc-color
%config /usr/X11R6/lib/X11/app-defaults/XFontSel
%config /usr/X11R6/lib/X11/app-defaults/XLoad
%config /usr/X11R6/lib/X11/app-defaults/Xditview
%config /usr/X11R6/lib/X11/app-defaults/Xditview-chrtr
%config /usr/X11R6/lib/X11/app-defaults/Xedit
%config /usr/X11R6/lib/X11/app-defaults/Xgc
%config /usr/X11R6/lib/X11/app-defaults/Xman
%config /usr/X11R6/lib/X11/app-defaults/Xmessage

/usr/X11R6/lib/X11/xman.help

/usr/X11R6/man/man1/ico.1x
/usr/X11R6/man/man1/listres.1x
/usr/X11R6/man/man1/showfont.1x
/usr/X11R6/man/man1/viewres.1x
/usr/X11R6/man/man1/xbiff.1x
/usr/X11R6/man/man1/xcalc.1x
/usr/X11R6/man/man1/xditview.1x
/usr/X11R6/man/man1/xedit.1x
/usr/X11R6/man/man1/xev.1x
/usr/X11R6/man/man1/xeyes.1x
/usr/X11R6/man/man1/xfontsel.1x
/usr/X11R6/man/man1/xgc.1x
/usr/X11R6/man/man1/xload.1x
/usr/X11R6/man/man1/xman.1x
/usr/X11R6/man/man1/xmessage.1x

%config /etc/X11/wmconfig/xcalc
%config /etc/X11/wmconfig/xditview
%config /etc/X11/wmconfig/xedit
%config /etc/X11/wmconfig/xeyes
%config /etc/X11/wmconfig/xfontsel
%config /etc/X11/wmconfig/xload
%config /etc/X11/wmconfig/xman

%changelog
* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 07 1998 Erik Troan <ewt@redhat.com>
- updated to 3.3.2

* Thu Oct 23 1997 Marc Ewing <marc@redhat.com>
- new version
- wmconfig
